Vine Linux バグトラッキングシステム

課題の詳細を表示 コメントにジャンプ ] 課題の履歴 ] 印刷 ]
IDプロジェクトカテゴリ登録日最終更新
0001261Vine Linux1 バグ2012-02-03 00:082012-10-29 15:00
報告者anonymous 
担当者iwamoto 
優先度再現性不明 
状態完了解決状況実装済 
バージョン6.0 
修正予定バージョン6.1修正済バージョン6.1 
概要0001261: octave がインストールできない
説明Vine 6.0 で、apt-get install octave を実行すると次のようなエラーが出て
octave をインストールできません。

---- ここから ----
# apt-get install octave
パッケージリストを読みこんでいます... 完了
依存情報ツリーを作成しています... 完了
いくつかのパッケージをインストールすることができません。おそらく、
整合性のとれない状況を要求したか、(必要なパッケージがまだそろって
いなかったり、まだIncomingから移動されていない)不安定なディストリ
ビューションを使用していないでしょうか。

単純な操作だけを行った時に、パッケージがインストール
できない場合は、バグリポートしてください。
以下の情報がこの問題を解決するために役立つかもしれません:

以下のパッケージは解決できない依存関係を持っています:
  octave: 依存: libgfortran.so.1()(64bit) それをインストールすることができません
E: 壊れたパッケージです
---- ここまで ----
タグ設定されていません。
archx86
パッケージなし
添付ファイル

- 関連
関連 0001307完了iwamoto octaveがインストールできない 

-  コメント
(0000781)
anonymous (参照)
2012-02-04 19:42

自力で make したので書いておきます。
(ほぼ終わったあとで他の人も同じ事をしていたのを発見)
( http://huchiura.blogspot.com/2011/09/octave-342-install-on-vine-linux-6.html [^] )

# 最新の stable source を http://www.gnu.org/software/octave/ [^] よりダウンロードしてから、
tar xjvf octave-3.4.3.tar.bz2
cd octave-3.4.3

# ライブラリを色々とインストール。
# 以下のライブラリは、 ./configure の結果、最後に表示される WARNING を見て、
# apt-cache search で対応ライブラリを捜した。
# でも今回は sudo apt-cache depends octave で捜しても良かったかも。

# 絶対必要なライブラリをインストール
sudo apt-get install pcre-devel blas blas-devel lapack lapack-devel gnuplot gcc-gfortran
# 演算性能向上に寄与するライブラリをインストール
sudo apt-get install glpk glpk-devel gperf suitesparse suitesparse-devel qhull-devel qhull
# 利便性向上に寄与するライブラリをインストール
sudo apt-get install curl curl-devel hdf5 hdf5-devel fltk fltk-devel

# なんか /usr/include/pcre 以下の *.h を ./configure が見つけてくれないので、苦肉の策
sudo cp -i /usr/include/pcre/pcre* /usr/include/

./configure
time make
(real 54m33.960s)
make check
make -n install
sudo make install
(0007405)
iwamoto (管理者)
2012-10-11 02:48

以下のように特に問題なく install できます。
Aug 2012, Sep 2012 に package が更新されていますので、
その際に解消したものと思います。

ご確認ください。

---------------------
[iwamoto@natsume ~]$ sudo apt-get install octave
パッケージリストを読みこんでいます... 完了
依存情報ツリーを作成しています... 完了
以下の追加パッケージがインストールされます:
  atlas blas fftw3 fltk glpk gnuplot hdf5 libgfortran pdflib-lite qhull
  suitesparse
以下のパッケージが新たにインストールされます:
  atlas blas fftw3 fltk glpk gnuplot hdf5 libgfortran octave pdflib-lite qhull
  suitesparse
アップグレード: 0 個, 新規インストール: 12 個, 削除: 0 個, 保留: 2 個
38.5MB のアーカイブを取得する必要があります。
展開後に 121MB のディスク容量が追加消費されます。
続行しますか? [Y/n]y
取得:1 http://updates.vinelinux.org [^] 6/x86_64/main libgfortran 4.4.5-6vl6 [1398kB]
(中略)
取得:12 http://updates.vinelinux.org [^] 6/x86_64/plus octave 3.6.2-2vl6 [19.1MB]
38.5MB を 4s 秒で取得しました (7959kB/s)
変更を適用しています...
準備中 ############################## [100%]
更新/インストール中
  libgfortran-4.4.5-6vl6.x86_64 ############################## [100%]
(中略)
  octave-3.6.2-2vl6.x86_64 ############################## [100%]
完了
(0007498)
iwamoto (管理者)
2012-10-29 15:00

元報告者からのレポートはありませんが、
修正済みですので、完了とします。

- 課題の履歴
変更日 ユーザー名 項目 変更内容
2012-02-03 00:08 anonymous 新規課題
2012-02-04 19:42 anonymous コメント追加: 0000781
2012-10-11 02:42 iwamoto 関連追加 関連 0001307
2012-10-11 02:48 iwamoto コメント追加: 0007405
2012-10-11 02:48 iwamoto 状態 新規 => 要追加情報
2012-10-11 02:48 iwamoto 修正済バージョン => 6.1
2012-10-11 02:48 iwamoto 修正予定バージョン => 6.1
2012-10-11 02:48 iwamoto 詳細更新 リビジョンを表示
2012-10-11 02:48 iwamoto 担当者 => iwamoto
2012-10-29 15:00 iwamoto コメント追加: 0007498
2012-10-29 15:00 iwamoto 状態 要追加情報 => 完了
2012-10-29 15:00 iwamoto 解決状況 不明 => 実装済


Copyright © 2000 - 2014 MantisBT Team
Copyright © 2012 - 2014 Project Vine
Powered by Mantis Bugtracker